# Devowd

`Devowd` helps to build user management system within a minute. It will create `database_authenticatable` and `rememberable` user with `Devise`. It will add admin who may invite, edit or destroy users. Admins are added and managed through the `Crowd server`.

### Installation

Add this line to your application's Gemfile:
<pre><code>gem 'devowd'
</pre></code>
And then execute:
<pre><code>$ bundle
</pre></code>

### Usage

After `Devowd` is installed, run
<pre><code>rails g devowd:install
</pre></code>
You'll be asked some questions about mail account and `Crowd server` configuration. As generator is done, you are ready to launch server and test.

###Figaro support

If you use [figaro](https://github.com/laserlemon/figaro) gem, `Devowd` will pick up `application.yml` file and put mail account and `Crowd server` configuration data there. If you don't have [figaro](https://github.com/laserlemon/figaro), `Devowd` will add it for you.

### Contributing

1. Fork it ( http://github.com/rinatd/devowd/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request