# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'devowd/version'

Gem::Specification.new do |spec|
  spec.name          = "devowd"
  spec.version       = Devowd::VERSION
  spec.authors       = ["Ivan Zamylin", "Rinat Dobrohotov"]
  spec.email         = ["zamylin@yandex.ru"]
  spec.summary       = %q{Authorization solution with devise and crowd.}
  spec.description   = %q{Authorization solution with devise and crowd. Helps to generate model, view, controller for user and admin.}
  spec.homepage      = "https://github.com/rinatd/devowd"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_dependency "devise", "~> 3.2"
  spec.add_dependency "omniauth", ">= 1.0.0"
  spec.add_dependency "omniauth_crowd"
  spec.add_dependency "figaro"
end
